Gönderen Konu: Cinnamon kurulmuyor?  (Okunma sayısı 1320 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Cinnamon kurulmuyor?
« : 04 Mayıs 2012 - 18:55:14 »
Kod: [Seç]
[yfdogan@bridge ~]$ sudo packer -S cinnamon

Aur Targets    (1): cinnamon

Proceed with installation? [Y/n] y
Edit cinnamon PKGBUILD with $EDITOR? [Y/n] n
Edit cinnamon.install with $EDITOR? [Y/n] n
==> cinnamon 1.4-6 (Cum May  4 18:51:13 EEST 2012) paketi oluşturuluyor
==> Bağımlılıklar denetleniyor...
==> Derleme bağımlılıkları denetleniyor...
==> Kaynak kodları alınıyor...
  -> cinnamon-1.4.tar.gz indiriliyor...
-----------------
-----------------
------------------
config.status: creating po/Makefile
config.status: executing po/stamp-it commands
configure: WARNING: unrecognized options: --disable-schemas-install
Now type `make' to compile cinnamon
make  all-recursive
make[1]:`/tmp/packerbuild-0/cinnamon/cinnamon/src/linuxmint-Cinnamon-a8b1a03' dizinine giriliyor
Making all in data
make[2]:`/tmp/packerbuild-0/cinnamon/cinnamon/src/linuxmint-Cinnamon-a8b1a03/data' dizinine giriliyor
  GEN      cinnamon.desktop.in
  GEN      cinnamon.desktop
make[2]: *** Hedef `theme/add-workspace-hover.png' i derlemek için  hiçbir kural yok, `all-am' tarafından gereksinim duyuluyor. Durdu.
rm cinnamon.desktop.in
make[2]: `/tmp/packerbuild-0/cinnamon/cinnamon/src/linuxmint-Cinnamon-a8b1a03/data' dizininden çıkılıyor
make[1]: *** [all-recursive] Hata 1
make[1]: `/tmp/packerbuild-0/cinnamon/cinnamon/src/linuxmint-Cinnamon-a8b1a03' dizininden çıkılıyor
make: *** [all] Hata 2
==> HATA: build() içinde bir hata oluştu.
    Çıkılıyor...
The build failed.
[yfdogan@bridge ~]$
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.091
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
Re: Cinnamon kurulmuyor?
« Yanıtla #1 : 04 Mayıs 2012 - 19:24:36 »
Aynı hatayı veriyor.

Diğer paketi deneyebilirsin::
Kod: [Seç]
packer -S cinnamon-git


Not : cinnamon-git paketinin kaynak dosyasını indirilebilmesi için DNS değişikliği gerekiyor.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Re: Cinnamon kurulmuyor?
« Yanıtla #2 : 04 Mayıs 2012 - 20:59:30 »
Wiki de anlatıldığı şekli ile kurulumda da hata veriyor:


Kod: [Seç]
[yfdogan@bridge ~]$ sudo packer -S cinnamon-extensions-git
warning: cinnamon-extensions-git is flagged out of date

Aur Targets    (1): cinnamon-extensions-git

Proceed with installation? [Y/n] y
Edit cinnamon-extensions-git PKGBUILD with $EDITOR? [Y/n] n
Edit cinnamon-extensions-git.install with $EDITOR? [Y/n] n
==> Son git sürümü belirleniyor...
  -> Değişiklik numarası olarak 20120504 bulundu
==> cinnamon-extensions-git 20120504-1 (Cum May  4 20:57:05 EEST 2012) paketi oluşturuluyor
==> Bağımlılıklar denetleniyor...
==> Derleme bağımlılıkları denetleniyor...
==> Kaynak kodları alınıyor...
  -> cinnamon-weather-config.desktop bulundu
==> Kaynak dosyaları md5sums ile doğrulanıyor...
    cinnamon-weather-config.desktop ... Doğrulandı
==> Kaynak Kodları Açılıyor...
==> build() işlemine başlanıyor...
==> Connecting to GIT server....
Cloning into 'cinnamon-extensions'...                                                                                                
fatal: remote error:                                                                                                                  
  Repository not found.                                                                                                              
==> HATA: build() içinde bir hata oluştu.                                                                                            
    Çıkılıyor...
The build failed.


Kod: [Seç]
[yfdogan@bridge ~]$ sudo packer -S cinnamon-themes-git
warning: cinnamon-themes-git is flagged out of date

Aur Targets    (1): cinnamon-themes-git

Proceed with installation? [Y/n] y
Edit cinnamon-themes-git PKGBUILD with $EDITOR? [Y/n] n
==> Son git sürümü belirleniyor...
  -> Değişiklik numarası olarak 20120504 bulundu
==> cinnamon-themes-git 20120504-1 (Cum May  4 20:58:41 EEST 2012) paketi oluşturuluyor
==> Bağımlılıklar denetleniyor...
==> Derleme bağımlılıkları denetleniyor...
==> Kaynak kodları alınıyor...
==> Kaynak Kodları Açılıyor...
==> build() işlemine başlanıyor...
==> Connecting to GIT server....
Cloning into 'cinnamon-themes'...
fatal: remote error:
  Repository not found.
==> HATA: build() içinde bir hata oluştu.
    Çıkılıyor...
The build failed.
[yfdogan@bridge ~]$
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı cumali

  • Administrator
  • *****
  • İleti: 2.228
Re: Cinnamon kurulmuyor?
« Yanıtla #3 : 04 Mayıs 2012 - 21:11:37 »
Arch üzerinde son günlerde çıkan hatalar zincirine bir yenisi daha eklendi. @YFDogan,bende güncellemeler nedeniyle kurulu olan cinnamon şimdi çalışmaz oldu. Çözüm oluşturuluncaya kadar geçici olarak kullanmayacağım.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.091
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
Re: Cinnamon kurulmuyor?
« Yanıtla #4 : 05 Mayıs 2012 - 22:26:09 »
Cinnamon her yeni Gnome sürümünde sorun çıkartıyor, yeniden yüklemek/güncellemek gerekiyor.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı if*

  • İleti: 48
Re: Cinnamon kurulmuyor?
« Yanıtla #5 : 06 Mayıs 2012 - 01:34:34 »
muffin-git paketini kurup elle derlendiği zaman sonuç elde edilmiş.[1]



[1] https://aur.archlinux.org/packages.php?ID=55330
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »

Çevrimdışı tarakbumba

  • İleti: 252
Re: Cinnamon kurulmuyor?
« Yanıtla #6 : 07 Mayıs 2012 - 14:37:25 »
Arkadaşlar, Resmi Depolar dışından kurulan her pakette bu tip sorunların olması olağandır. Paketi derlediğiniz tarihte sistemde kurulu bulunan ve uygulamanın çalışması için elzem olan kütüphanelerden birinin yeni sürümü yüklendiğinde paketin yeniden derlenmesi gerekir. Resmi depolardan kurulan paketlerde/uygulamalarda kütüphane paketi ile birlikte o uygulama da güncellenir. Bunun için paketlerde bir Arch Linux sürümü eki vardır:


Alıntı
foo-1.0-1.i686.pkg.tar.xz ==> foo-1.0-2.i686.pkg.tar.xz


Bu durum Arch Linux' un bir sorunu değil; AUR veya başka kaynaklardan paket kurmanın doğasıdır. Bu meseleyi Arch Kullanıcı Deposu yazısına işledim.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »